﻿@model IEnumerable<FunXgame.Models.Producto>


<table class="table">
    <tr>
        <th>
            <label>Código</label>
        </th>
        <th>
            <label>Nombre</label>
        </th>
        <th>
            <label>Categoría</label>
        </th>
        <th>
            <label>Marca</label>
        </th>
        <th>
            <label>Precio</label>
        </th>
        <th>
            <label>Stock</label>
        </th>
        <th>
            <label>Estado</label>
        </th>
        <th>
            <label>Imagen</label>
        </th>

        <th></th>
        <th></th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Codigo_producto)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Nombre_producto)
        </td>
        <td>
           
            @Html.DisplayFor(modelItem => item.Categoria.Nombre_categoria)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Marca.Nombre_marca)
            
        </td>

        <td>
            @Html.DisplayFor(modelItem => item.Precio_producto)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.Stock_producto)
            
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Estado.Nombre_estado)
        </td>
        <td>
            <img src="@Url.Content(item.Imagen.Ruta)" style="height: 50px"/>
        </td>
        <td>
            
        </td>
        <td>

            @{
                string texto = "";
                int estado = item.Id_estado;
                if (estado == 1)
                {
                    texto = "Desactivar";
                }
                else
                {
                    texto = "Activar";
                }
            }

            <a class="btn btn-success" href="~/Productos/EditarProducto/@item.Id_producto" id="" style="width:100px">Editar</a>
           
        </td>
        <td>
            <a class="btn btn-secondary" href="~/Productos/EstadoProducto/@item.Id_producto" id="" style="width:100px">@texto</a>
        </td>
    </tr>
}

</table>
